Subject: bug#34274: closed (Re: bug#34274: [PATCH] * src/callproc.c (call-process/region): Fix docstring arg formatting)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Feb 2019 08:48:02 +0000

Your bug report

#34274: [PATCH] * src/callproc.c (call-process/region): Fix docstring arg formatting

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34274: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34274
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34274: [PATCH] * src/callproc.c (call-process/region): Fix docstring arg formatting
From: Eli Zaretskii <[email-masked]>
To: Nicholas Drozd <[email-masked]>
Cc: [email-masked]
Date: Fri, 08 Feb 2019 10:47:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Nicholas Drozd <[email-masked]>
> Date: Mon, 4 Feb 2019 17:55:51 -0600
> Cc: [email-masked]
> 
> The usual docstring convention is to put arg names in CAPS, making it
> easier to find mentions of the arguments, especially by text search.
> Right now if you search the docstring of call-process for ARGS, you
> won't find anything. There's "remaining arguments", but it's up to the
> reader to figure out that that refers to ARGS. This change just makes
> it easier to navigate.
> 
> In the second case I also changed "command args" to "command
> arguments". This change is unimportant; I just thought it looks nicer.

Thanks, I fixed these doc strings in the spirit of your suggestions.

Subject: [PATCH] * src/callproc.c (call-process/region): Fix docstring arg formatting
From: Nicholas Drozd <[email-masked]>
To: [email-masked]
Date: Fri, 1 Feb 2019 08:13:10 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 src/callproc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/callproc.c b/src/callproc.c
index d4558387cf..f8036f51ef 100644
--- a/src/callproc.c
+++ b/src/callproc.c
@@ -237,7 +237,7 @@ DESTINATION can also have the form (REAL-BUFFER
STDERR-FILE); in that case,
  t (mix it with ordinary output), or a file name string.

 Fourth arg DISPLAY non-nil means redisplay buffer as output is inserted.
-Remaining arguments are strings passed as command arguments to PROGRAM.
+Remaining ARGS are strings passed as command arguments to PROGRAM.

 If executable PROGRAM can't be found as an executable, `call-process'
 signals a Lisp error.  `call-process' reports errors in execution of
@@ -1033,7 +1033,7 @@ STDERR-FILE may be nil (discard standard error output),
 t (mix it with ordinary output), or a file name string.

 Sixth arg DISPLAY non-nil means redisplay buffer as output is inserted.
-Remaining args are passed to PROGRAM at startup as command args.
+Remaining ARGS are passed to PROGRAM at startup as command arguments.

 If BUFFER is 0, `call-process-region' returns immediately with value nil.
 Otherwise it waits for PROGRAM to terminate
-- 
2.17.1